function [y]=repeat(x,n);
% function [y]=repeat(x,n);
% Fonction qui repete un motif de base x n fois pour donner
% le vecteur y.
% Equivalent a effectuer une convolution entre x et un peigne
% de dirac, ou les diracs sont espaces de length(x).
%
% Auteur : JFB 1994,95,96,97,98

if nargin <2 
   help repeat;
   error('Nombre d''argument d''entree incorrect');
end;
   
L=length(x);
N=L*n;
y=kron(ones(1,n),x);				% utilise le produit de Kronecker
										% Ancienne version
% for u=1:n
%   y((u-1)*L+1:u*L)=x;
% end; 